# RequestLocationKeyboardButton - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.buttons / RequestLocationKeyboardButton

# RequestLocationKeyboardButton

(common) `data class RequestLocationKeyboardButton : KeyboardButton` (source)

### Constructors

(common)

#### <init>

`RequestLocationKeyboardButton(text: String)`

### Properties

(common)

#### requestLocation

`val requestLocation: Boolean`

(common)

#### text

`val text: String`